Name:           python-adif-io
Version:        0.5.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Input and output of ADIF radio amateur log files.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/andreas_krueger_py/adif_io
Source:         %{pypi_source adif_io}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'adif-io' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-adif-io
Summary:        %{summary}

%description -n python3-adif-io %_description


%prep
%autosetup -p1 -n adif_io-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-adif-io -f %{pyproject_files}


%changelog
%autochangelog